net.minecraft.nbt

## Class NBTBase

- java.lang.Object
- - net.minecraft.nbt.NBTBase

- Direct Known Subclasses:
    NBTBase.NBTPrimitive, NBTTagByteArray, NBTTagCompound, NBTTagEnd, NBTTagIntArray, NBTTagList, NBTTagString

      public abstract class NBTBase
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NBTBase.NBTPrimitive`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `NBTTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NBTBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract NBTBase` | `copy()`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `static java.lang.String` | `func_150283_g(int p_150283_0_)`
    `protected static NBTBase` | `func_150284_a(byte p_150284_0_)`
    `protected java.lang.String` | `func_150285_a_()`
    `abstract byte` | `getId()`
    `int` | `hashCode()`
    `abstract java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NBTTypes

          public static final java.lang.String[] NBTTypes

  - ### Constructor Detail

    - #### NBTBase

          public NBTBase()

  - ### Method Detail

    - #### toString

          public abstract java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getId

          public abstract byte getId()

    - #### func_150284_a

          protected static NBTBase func_150284_a(byte p_150284_0_)

    - #### func_150283_g

          public static java.lang.String func_150283_g(int p_150283_0_)

    - #### copy

          public abstract NBTBase copy()

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### func_150285_a_

          protected java.lang.String func_150285_a_()